import { Router } from "express";
import { requireAuth } from "../../../../pkg/middleware/authMiddleware.js";

import addHours from "./addHours.js";
import gethours from "./getHours.js";

const router = Router();

router.use(
	"/",
	requireAuth("forklifts", ["systemAdmin", "admin", "manager", "supervisor"]),
	addHours,
);
router.use(
	"/",
	requireAuth("forklifts", ["systemAdmin", "admin", "manager", "supervisor"]),
	gethours,
);

export default router;
